{
  "name": "market-data-service",
  "version": "1.0.0",
  "description": "Market Data Service is a high-performance financial data API that provides comprehensive Symbol prices of different markets  through both RESTful endpoints and real-time WebSocket connections.",
  "main": "index.js",
  "scripts": {
    "start": "node src/server.js",
    "dev": "nodemon src/server.js",
    "test": "jest",
    "test:watch": "jest --watch",
    "lint": "eslint src/**/*.js",
    "lint:fix": "eslint src/**/*.js --fix",
    "db:migrate": "sequelize-cli db:migrate",
    "db:seed": "sequelize-cli db:seed:all"
  },
  "repository": {
    "type": "git",
    "url": "https://git.mqldevelopment.com/muhammad.uzair/market-data-service.git"
  },
  "keywords": [],
  "author": "",
  "license": "ISC",
  "type": "commonjs",
  "dependencies": {
    "cors": "^2.8.5",
    "dotenv": "^17.2.3",
    "express": "^5.1.0",
    "helmet": "^8.1.0",
    "joi": "^18.0.1",
    "morgan": "^1.10.1",
    "pg": "^8.16.3",
    "sequelize": "^6.37.7",
    "winston": "^3.18.3"
  },
  "devDependencies": {
    "@jest/globals": "^30.2.0",
    "axios-mock-adapter": "^2.1.0",
    "jest": "^30.2.0",
    "nodemon": "^3.0.0",
    "sequelize-cli": "^6.6.3",
    "supertest": "^7.1.4"
  }
}
